package main

import (
	"gitlab.smartblocklab.com/smartcontracts/common/chaincode"
	"gitlab.smartblocklab.com/smartcontracts/common/invoke"
	"gitlab.smartblocklab.com/smartcontracts/keyValueCC/function"
)

func NewChaincode() *chaincode.CommonChaincode {

	// invoke
	chaincode.ChaincodeVar.Actions[invoke.AddKeyValueFunction] = function.AddKeyValue
	chaincode.ChaincodeVar.Actions[invoke.AddKeyValueArrayFunction] = function.AddKeyValueArray

	// query
	chaincode.ChaincodeVar.Actions[invoke.GetKeyValueFunction] = function.GetKeyValue
	chaincode.ChaincodeVar.Actions[invoke.GetKeyValueArrayFunction] = function.GetKeyValueArray

	return &chaincode.ChaincodeVar
}
