package function

import (
	"gitlab.smartblocklab.com/smartcontracts/common/model/requests"
	"gitlab.smartblocklab.com/smartcontracts/keyValueCC/mngr"
	"gitlab.smartblocklab.com/smartcontracts/common/chaincode"
	"gitlab.smartblocklab.com/smartcontracts/common/model/keyValueCC"
)

func AddKeyValueArray(userParameter *requests.Parameter, systemParameter *requests.Parameter, manager chaincode.IManager) (interface{}, error) {
	keyValueArray, err := keyValueCC.UnmarshalKeyValueArray(userParameter.Param)
	if err != nil {
		return nil, err
	}

	return mngr.GetKeyValueManager(manager).AddKeyValueArray(keyValueArray)
}
