package function

import (
	"gitlab.smartblocklab.com/smartcontracts/common/model/requests"
	"gitlab.smartblocklab.com/smartcontracts/common/chaincode"
	"gitlab.smartblocklab.com/smartcontracts/keyValueCC/mngr"
)

func GetKeyValue(userParameter *requests.Parameter, systemParameter *requests.Parameter, manager chaincode.IManager) (interface{}, error) {
	userID, err := requests.Unmarshal(systemParameter.Param)
	if err != nil {
		return nil, err
	}

	return mngr.GetKeyValueManager(manager).GetKeyValue(userID)
}
