package function

import (
	"gitlab.smartblocklab.com/smartcontracts/common/model/requests"
	"gitlab.smartblocklab.com/smartcontracts/common/chaincode"
	"gitlab.smartblocklab.com/smartcontracts/keyValueCC/mngr"
)

func GetKeyValueArray(userParameter *requests.Parameter, systemParameter *requests.Parameter, manager chaincode.IManager) (interface{}, error) {
	keyArrayId, err := requests.UnmarshalArrayId(systemParameter.Param)
	if err != nil {
		return nil, err
	}

	return mngr.GetKeyValueManager(manager).GetKeyValueArray(keyArrayId)
}
