package mngr

import (
	"gitlab.smartblocklab.com/smartcontracts/common/model/keyValueCC"
)

func (this KeyValueManagerImpl) AddKeyValueArray(keyValueArray *keyValueCC.KeyValueArray) (*keyValueCC.KeyValueArray, error) {
	result := &keyValueCC.KeyValueArray{}
	result.KeyValue = []keyValueCC.KeyValue{}

	for _, keyValue := range result.KeyValue {
		validObject, err := this.AddObject(keyValue)
		if err != nil {
			return nil, err
		}

		keyValue, err := keyValueCC.Cast(validObject)
		if err != nil {
			return nil, err
		}

		result.KeyValue = append(result.KeyValue, *keyValue)
	}

	return result, nil
}
